Bug 801527 - wrong error message when imagefactory is down
Summary: wrong error message when imagefactory is down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: rubygem-aeolus-cli
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
Assignee: Maros Zatko
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-08 18:17 UTC by Dave Johnson
Modified: 2012-12-04 14:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Failed attempts to build an image with Imagefactory caused a wrong error message stating. This bug fix updates rubygem-aeolus-cli with the correct error message: "Please check that Imagefactory is running"
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:1516 normal SHIPPED_LIVE CloudForms Cloud Engine 1.1 update 2012-12-04 19:51:45 UTC

Description Dave Johnson 2012-03-08 18:17:07 UTC
Description of problem:
===============================

When trying to build with imagefactory stopped, you get a error message stating that conductor is stopped


[root@hp-sl390s-01 ~]# service imagefactory stop
Stopping imagefactory: [  OK  ]


[root@hp-sl390s-01 ~]# aeolus-image build --template /root/charlie2.tpl --target mock --environment default

ERROR:  Service Temporarily Unavailable => Please check that Conductor is running.



[root@hp-sl390s-01 ~]# aeolus-check-services

Checking mongod ...
 Success: mongod (pid 11427) is running...

Checking iwhd ...
 Success: iwhd (pid  11479) is running...

Checking postgresql ...
 Success: postmaster (pid  11665) is running...

Checking httpd ...
 Success: httpd (pid  11339) is running...

Checking qpidd ...
 Success: qpidd (pid  11844) is running...

Checking deltacloud-core ...
 Success: deltacloud-core (pid  11286) is running...

Checking libvirtd ...
 Success: libvirtd (pid  11913) is running...

Checking aeolus-conductor ...
 Success: thin (pid  11755) is running...

Checking conductor-dbomatic ...
 Success: dbomatic (pid  11820) is running...

Checking imagefactory ...
 FAILURE: imagefactory is stopped                        <------------

Checking ntpd ...
 Success: ntpd (pid  32676) is running...
[root@hp-sl390s-01 ~]#

Comment 1 Maros Zatko 2012-09-06 14:08:19 UTC
In conductor/master
commit 16924722887bdc7f312088a111651e484c5097a4
Author: Maros Zatko <mzatko@redhat.com>
Date:   Thu Sep 6 16:04:44 2012 +0200

    Proper error when Imagefactory is down

commit d2f3856bd318084dd2b8449ca51c3ff7dc4d5964
Author: Maros Zatko <mzatko@redhat.com>
Date:   Thu Mar 15 16:49:15 2012 +0100

    BZ 801527: wrong error message when imagefactory is down
    
    https://bugzilla.redhat.com/show_bug.cgi?id=801527
    
    API:
    * new API exception ServiceUnavailable
    * rescue for ECONNREFUSED when imagefactory is down

In cli/master
commit 8a46b3f20ee1fdce65c44e7cc07af1c769a1ae07
Author: Maros Zatko <mzatko@redhat.com>
Date:   Thu Sep 6 15:45:42 2012 +0200

    BZ 801527: tests for wrong error message when imagefactory is down

commit 534f017294f838d467ffc3af4eb4d18aa8427366
Author: Maros Zatko <mzatko@redhat.com>
Date:   Thu Mar 15 16:47:17 2012 +0100

    BZ 801527: wrong error message when imagefactory is down
    
    https://bugzilla.redhat.com/show_bug.cgi?id=801527

Comment 2 Steve Linabery 2012-09-07 21:36:03 UTC
in build aeolus-conductor-0.13.3-1.el6cf

Comment 4 Dave Johnson 2012-09-17 23:19:52 UTC
good 2 go in CFCE v1.1 2012-09-14.5 puddle

Comment 7 errata-xmlrpc 2012-12-04 14:58:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html


Note You need to log in before you can comment on or make changes to this bug.